"plugin.plugin_configuration.search_api_saved_searches_notification.*":
  type: mapping
  label: 'Notification plugin configuration'

plugin.plugin_configuration.search_api_saved_searches_notification.email:
  type: mapping
  mapping:
    registered_choose_mail:
      type: boolean
      label: 'Let registered users choose email address'
    activate:
      type: mapping
      label: 'Activation mail settings'
      mapping:
        send:
          type: boolean
          label: 'Send activation mail'
        title:
          type: label
          label: 'Activation mail title'
        body:
          type: text
          label: 'Activation mail body'
    notification:
      type: mapping
      label: 'Notification mail settings'
      mapping:
        title:
          type: label
          label: 'Notification mail title'
        body:
          type: text
          label: 'Notification mail body'
